package ru.dbotthepony.kstarbound.network.packets.clientbound

import ru.dbotthepony.kommons.io.readUUID
import ru.dbotthepony.kommons.io.writeUUID
import ru.dbotthepony.kstarbound.client.ClientConnection
import ru.dbotthepony.kstarbound.network.IClientPacket
import java.io.DataInputStream
import java.io.DataOutputStream
import java.util.UUID

class SystemObjectDestroyPacket(val uuid: UUID) : IClientPacket {
	constructor(stream: DataInputStream, isLegacy: Boolean) : this(stream.readUUID())

	override fun write(stream: DataOutputStream, isLegacy: Boolean) {
		stream.writeUUID(uuid)
	}

	override fun play(connection: ClientConnection) {
		TODO("Not yet implemented")
	}
}
